#1501 Timezone issues

v3.00
closed
5
2013-03-28
2012-04-25
polaris1
No

To my knowledge this affects the latest GO 3.7.X. I haven't had a chance to test in 4.X yet. I found two timezone related issues but it could actually be two.

1. http://demo.group-office.eu/

Set the timezone to America/Edmonton for example ( a timezone that you are not in, but which is different from the one the server is configured for ) and check the Calendar. Preset dates such as 'Good Friday' will now be scheduled for Thursday instead of Friday, 'Easter Sunday' will be scheduled for 'Saturday' and so on. If you revert the timezone back to the same timezone as the server, the issue goes away.

2. http://demo.group-office.eu/

Again, with a timezone set to something different, set up a new calendar entry on any day. Make the entry from 08:00 to 08:30 for example. Once it's created, drag & drop the bottom of the entry by a few hours in order to have it span from 08:00 to 12:00. Click on the e-mail tab then back to Calendar. You will see that the entry is now either shorter or longer, and it only depends on the timezone you chose and how it's different to your own timezone. If you have the same timezone on the desktop, GO and GO server, the issue is not present. Anything else, and you get problems.

Discussion

  • Merijn Schering

    Merijn Schering - 2013-01-24
    • status: open --> pending
     
  • Merijn Schering

    Merijn Schering - 2013-01-24

    This is fixed in 4.1 now.

     
  • Merijn Schering

    Merijn Schering - 2013-03-28
    • status: pending --> closed
     


Anonymous

Cancel  Add attachments